//*******************************************************************************
//   
//        Wyswietlenie napisu ZL1MSP430 i przesuwanie go od lewej do prawej strony
//        a nastepnie od prawej do lewej
//        przy kazdym przewinieciu napisu do skrajnej pozycji uruchamiany jest brzeczyk
//  
//*******************************************************************************

#include  <msp430x11x2.h>
#include "LCD.h"

#define BUZ1  0x01                    //port P2.0
#define BUZ2  0x20                    //port P2.5

void delay()                          //pauza  
{unsigned int i;
  for(i=0;i<0xffff;i++);
}  



void main(void)
{
char j;
  WDTCTL = WDTPW + WDTHOLD;            // Stop watchdog timer
  BCSCTL1|=0x30;                       // na P2.0 sygnal ACLK/8 =4096Hz
  P2DIR &=~ BUZ1;                      // P2.0 jako wejscie
  P2SEL |= BUZ1;                       // P2.0 jako wyjscie ACLK 
  P2DIR |=BUZ2 ;                       // P2.5 jako wyjscie
  
  lcd_init();                          //inicjalizacja LCD 
  lcd_putc('Z');
  lcd_putc('L');
  lcd_putc('1');
  lcd_putc('M');
  lcd_putc('S');
  lcd_putc('P');
  lcd_putc('4');
  lcd_putc('3');
  lcd_putc('0'); 

    for(j=0;j<16;j++)                   //przesuniecie napisu w prawo
      {lcd_send_byte(0,0x1f);
       delay();
        }
     P2DIR |= BUZ1;                     //wlaczenie brzeczyka
     delay();
     P2DIR &=~ BUZ1;                    //wylaczenie brzeczyka




while(1) 
      {
      for(j=0;j<25;j++)                    //przesuniecie napisu w lewo  
          {lcd_send_byte(0,0x18);
          delay();
           }    
        
      P2DIR |= BUZ1;                     //wlaczenie brzeczyka
      delay();
      P2DIR &=~ BUZ1;                    //wylaczenie brzeczyka
   
      for(j=0;j<25;j++)                  //przesuniecie napisu w prawo
          {lcd_send_byte(0,0x1f);
          delay();
          }
      P2DIR |= BUZ1;                     //wlaczenie brzeczyka
      delay();
      P2DIR &=~ BUZ1;                    //wylaczenie brzeczyka
      }
}

